IPV6_V6ONLY(2const)

NAME
IPV6_V6ONLY - restrict to IPv6 only

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IPV6_V6ONLY,
               const int *enable, sizeof(int));

DESCRIPTION
If this flag is set to true (nonzero), then the socket is restricted to sending and receiving IPv6 packets only. In this case, an IPv4 and an IPv6 application can bind to a single port at the same time.

If this flag is set to false (zero), then the socket can be used to send and receive packets to and from an IPv6 address or an IPv4-mapped IPv6 address.

The default value for this flag is defined by the contents of the file /proc/sys/net/ipv6/bindv6only. The default value for that file is 0 (false).

ERRORS
See IPPROTO_IPV6(2const). See setsockopt(2). See ipv6(7).

HISTORY
POSIX.1-2001, Linux 2.4.21, Linux 2.6.

SEE ALSO
IPPROTO_IPV6(2const), setsockopt(2), ipv6(7)